members.dev
Bulk actions

Get Bulk Action

Returns a Bulk Action by ID

GET
/v1/actions/{job_id}

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

job_id*string

Header Parameters

Members-Context?string

Members organization id (org_…) when the client has multiple organizations.

Default""

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.members.dev/v1/actions/string"
{
  "id": "string",
  "action": "send_pass",
  "status": "pending",
  "phase": "domain",
  "total_count": 0,
  "allocated_count": 0,
  "existing_pass_count": 0,
  "invite_created_count": 0,
  "skipped_count": 0,
  "failed_count": 0,
  "email_sent_count": 0,
  "email_failed_count": 0,
  "email_skipped_count": 0,
  "failure_reason": "string",
  "started_at": "string",
  "completed_at": "string",
  "failed_at": "string",
  "created_at": "string"
}
{
  "type": "https://api.members.dev/errors/invalid_credentials",
  "title": "Invalid credentials",
  "status": 401,
  "detail": "Invalid API Key or token.",
  "code": "invalid_credentials"
}
{
  "type": "https://api.members.dev/errors/not_linked_to_tenant",
  "title": "Not linked to tenant",
  "status": 403,
  "detail": "Not linked to this tenant",
  "code": "not_linked_to_tenant"
}
{
  "type": "https://api.members.dev/errors/member_not_found",
  "title": "Member not found",
  "status": 404,
  "detail": "No member exists with the given id in this organization.",
  "code": "member_not_found"
}
{
  "type": "https://api.members.dev/errors/members_context_required",
  "title": "Members context required",
  "status": 422,
  "detail": "This client has multiple organizations. Send the Members-Context header with the organization id (org_…) for this request.",
  "code": "members_context_required"
}
{
  "type": "https://api.members.dev/errors/rate_limit_exceeded",
  "title": "Rate limit exceeded",
  "status": 429,
  "detail": "Rate limit exceeded",
  "code": "rate_limit_exceeded"
}